<?php
/*
 JoomlaXTC Community Builder User Plugin: My Virtuemart Orders
 version 1.4
 copyright (C) JoomlaXTC   www.joomlaxtc.com
 license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

if ( !defined( '_VALID_MOS' ) && !defined('_JEXEC') ) die('Direct Access to this location is not allowed.');

class jxtc_vmorders extends cbTabHandler {

	function jxtc_vmorders() {
		$this->cbTabHandler();
	}

	function getDisplayTab($tab,$user,$ui) {
		global $database, $sess;
		$params = $this->params;
		$location = $params->get('location', 'f');
		if ($location == 'a') return;
		$qty = $params->get('qty', 5);
		return $this->getData($tab,$qty,$user);
	}
	
	function getEditTab($tab,$user,$ui) {
		global $database, $sess;
		$params = $this->params;
		$location = $params->get('location', 'f');
		if ($location == 'f') return;
		$qty = $params->get('qty', 5);
		return $this->getData($tab,$qty,$user);
	}

	function getData($tab,$qty,$user) {
		global $database, $sess;
		$html = (empty($tab->description)) ? '' : "<div class=\"tab_Description\">".$tab->description."</div>\n";
		require_once( dirname(__FILE__).'/../../../../com_virtuemart/virtuemart_parser.php' );
		$itemid = $sess->getShopItemid();
		$itemid = (empty($itemid)) ? '' : '&Itemid='.$itemid;
		$sql = "select a.order_id as id,FROM_UNIXTIME(a.cdate, '%Y-%m-%d') as order_date,b.order_status_name as status
						from #__".VM_TABLEPREFIX."_orders a, #__".VM_TABLEPREFIX."_order_status b
						where b.order_status_code = a.order_status
						and a.user_id=".$user->id." order by a.cdate DESC LIMIT ".$qty;
		$database->setQuery($sql);
		$items = $database->loadObjectList();
		if (count($items) > 0) {
			$html .='<table border="0" cellspacing="1" cellpadding="1" width="100%">';
			$html .='<tr><th width="80">Order ID</th><th>Date</th><th>Status</th></tr>';
			foreach ($items as $item) {
				$url = 'index.php?option=com_virtuemart&page=account.order_details&order_id='.$item->id.$itemid;
				$html .= '<tr><td align="center"><a href="'.$url.'">'.$item->id.'</a></td>
				<td>'.$item->order_date.'</td>
				<td><a href="'.$url.'">'.$item->status.'</a></td></tr>';
			}
			$html .= '</table>';
		}
		else {
			$html .= 'No orders available.';
		}
		return $html;
	}
}
?>